# serach for IDS uEye SDK  and set the following variables:
# DSHOW_FOUND
# DSHOW_INCLUDE_DIR
# DSHOW_LIBRARIES
# DSHOW_LIB_DIR

IF(WIN32)  
  FIND_PATH(PLATFORM_SDK "include/DShow.h"
    "C:/Programme/Microsoft Platform SDK for Windows Server 2003 R2")    
  FIND_PATH(DIRECTX_SDK "include/DDraw.h"
    "C:/Programme/Microsoft DirectX SDK (March 2008)")    
  IF(PLATFORM_SDK)
    SET(DSHOW_INCLUDE_DIR "${PLATFORM_SDK}/include")
    SET(DSHOW_LIB_DIR "${PLATFORM_SDK}/lib")
    SET(DSHOW_LIBRARIES "strmiids.lib")    
    SET(DSHOW_FOUND TRUE)
  ELSE(PLATFORM_SDK)
    MESSAGE("Failed to find DShow.h (Platform SDK)")
    SET(DSHOW_FOUND FALSE)
  ENDIF(PLATFORM_SDK)

  IF(DIRECTX_SDK)
    SET(DSHOW_INCLUDE_DIR ${DSHOW_INCLUDE_DIR} "${DIRECTX_SDK}/include")
    SET(DSHOW_LIBRARIES ${DSHOW_LIBRARIES} "")    
  ELSE(DIRECTX_SDK)
    MESSAGE("Failed to find draw.h (DirectX SDK)")
    SET(DSHOW_FOUND FALSE)
  ENDIF(DIRECTX_SDK)

#    MESSAGE("DSHOW_INCLUDE_DIR: ${DSHOW_INCLUDE_DIR}")
#    MESSAGE("DSHOW_LIBRARIES: ${DSHOW_LIBRARIES}")

  
ELSE(WIN32) 
  SET(DSHOW_FOUND FALSE)
  MESSAGE("Ohne Arme keine Kekse")
ENDIF(WIN32) 

 