#ifndef MANUALCONTROL_HH_
#define MANUALCONTROL_HH_

#include "Control.hh"

namespace BIAS{

class ManualControl : public Control {
public:
	ManualControl();
	void startControl();
	void stopControl() {}
  void resumeControl() {}
};

class ManualControlFactory : public ControlFactory {
public:
	ManualControl* create() {
		return new ManualControl();
	}
};
}
#endif /*ManualControl_HH_*/
