#ifndef _testFooLib_hh_63429473_
#define _testFooLib_hh_63429473_

#include <bias_config.h>

// HACK to use SHARED explicitly instead of bias_config default value: 
//#define BIAS_BUILD_SHARED_LIBS


// 
// Are we using or building this library
// and is it built shared or static:
//
#if      defined(WIN32) && defined(BIAS_BUILD_SHARED_LIBS) && defined(testFooLib_EXPORTS)
// building the WIN32 DLL
#    define testFooLib_EXPORT __declspec(dllexport)
#elif defined (WIN32) && defined(BIAS_BUILD_SHARED_LIBS) 
//using the WIN32 DLL
#  define testFooLib_EXPORT __declspec(dllimport)
#else 
// static lib or Linux
#  define testFooLib_EXPORT
#endif 


/** @brief mini test lib used for checking defines whiel building a lib and DLL exports
@author Jan Woetzel */
class testFooLib_EXPORT testFooLib {
public:
  void print();
};

#endif
