#include <iostream>
#include <pmdmsdk.h>
using namespace std;
int main( int argc, char *argv[])
{
  PMDHandle hnd;
  int res; 
  unsigned int width;
  res = pmdConnectFireWire(&hnd);
  if ( res!=PMD_OK) {
    cout << "Error pmdConnectFireWire" << endl;
    return 1;
  }
  res = pmdUpdate(hnd);
  if ( res!=PMD_OK) {
    cout << "Error pmdUpdate" << endl;
    return 1;
  }
  double *dat;
  res = pmdGetDistances(hnd, (void**)&dat);
  if ( res!=PMD_OK) {
    cout << "Error pmdGetDistances" << endl;
    return 1;
  }
  res = pmdGetWidth(hnd, &width);
  if ( res!=PMD_OK) {
    cout << "Error pmdGetWidth" << endl;
    return 1;
  }
  cout << " First pixel depth is " << dat[0] << endl;
  cout << " Sensor width is: " << width << endl;
  pmdDisconnect(hnd);
  return 0;
}

