/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003, 2004    (see file CONTACTS for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "Debug.hh"

//using namespace BIAS;

#ifdef BIAS_DEBUG

// these are the static members of BIAS::Debug
long int BIAS::Debug::GlobalDebugLevel = 0;
std::ostream BIAS::Debug::_zDebugStream(std::cerr.rdbuf());

#endif // BIAS_DEBUG

#ifdef WIN32
int BIAS::Debug::dummy_ = 0; // workaround 
#endif


