/* This file is part of the BIAS library (Basic ImageAlgorithmS).

   Copyright (C) 2007    (see file CONTACTS for details)
   www.vision-n.de
   
   BIAS is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as published by
   the Free Software Foundation; either version 2.1 of the License, or
   (at your option) any later version.
   
   BIAS is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with BIAS; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

#include <Base/Math/Matrix3x3.hh>

using namespace BIAS;
using namespace std;

int main(int argc, char *argv[])
{
  Matrix3x3<double> m1, m2, m3, m4;

  for (int i=0; i<9; i++)
    m1.GetData()[i] = (double)i;
  
  m2.SetIdentity();

  for (int r=0; r<3; r++){
    for (int c=0; c<3; c++){
      m3[r][c] = 0.5;
    }
  }

  m4 = m2 * m3;

  cout << "m1: "<<m1<<"\nm2: "<<m2<<"\nm3: "<<m3<<"\nm4: "<<m4<<endl;

  return 0;
}

