# CodeMeter_ROOT_DIR
# CodeMeter_LIB_DIR  
# CodeMeter_FOUND   
# CodeMeter_INCLUDE_DIR
# CodeMeter_LIBRARIES 


SET(CodeMeter_FOUND FALSE)
#
IF(WIN32)
  SET(CM_SEARCH_ROOT   C:/Programme/CodeMeter/DevKit)
  SET(CM_LIB WibuCm32)
ELSE(WIN32)
  SET(CM_SEARCH_ROOT   /usr)
  SET(CM_LIB wibucmlin)
ENDIF(WIN32)

FIND_PATH(CodeMeter_ROOT_DIR include/CodeMeter.h
 ${CM_SEARCH_ROOT}
 )

SET(CodeMeter_INCLUDE_DIR "${CodeMeter_ROOT_DIR}/include")
SET(CodeMeter_LIBRARY_DIR "${CodeMeter_ROOT_DIR}/lib")

FIND_LIBRARY(CodeMeter_LIBRARIES   ${CM_LIB}
  ${CodeMeter_LIBRARY_DIR}
 )

MESSAGE("CodeMeter_ROOT: " ${CodeMeter_ROOT_DIR})
MESSAGE("CodeMeter_LIBRARY_DIR: " ${CodeMeter_LIBRARY_DIR})
MESSAGE("CodeMeter_LIBRARIES ${CodeMeter_LIBRARIES}" )
                           
MARK_AS_ADVANCED(CodeMeter_INCLUDE_DIR)
MARK_AS_ADVANCED(CodeMeter_LIBRARIES)

IF(CodeMeter_ROOT_DIR AND CodeMeter_LIBRARIES) 
  SET(CodeMeter_FOUND TRUE)
ENDIF(CodeMeter_ROOT_DIR AND CodeMeter_LIBRARIES) 

