#ifndef __UDPSERVERCLIENTDEFINTIONS__
#define __UDPSERVERCLIENTDEFINTIONS__

#include <bias_config.h>

#include "errno.h"

#define syscallerror(x) \
{ cerr << __FILE__ << "  -  " << x << endl; \
cerr << __FILE__ << "  -  Error code " << errno << " means: "  << strerror(errno) << endl; }

struct message_frame_header {
  
  int message_number;
  int message_frame_number;
  int message_frames_total;
};

 //struct State {
 //   float   t[3];
 //   float   r[3];
 //   float   cov[36];
 //   double  time;
 //   bool    tValid; // four byte
 //   bool    rValid;
 //   char padding[4];
 // };

 // class DataPacket {
 // public: 
 //   State State_;
 //   char  Req_[16];
 // };

struct ImageHeader {
  unsigned int Width_;
  unsigned int Height_;
  unsigned int ChannelCount_;
  // SizeAndTypeID == 0:uncompresed image, use size = width*height*channelcount
  // SizeAndTypeID != 0: compressed, use as Size
  unsigned int SizeAndTypeID_;
  double Time_;
};

const int UDP_PACKAGE_SIZE = 40000;

// maximum message number before restarting with 0
const int maxMessageNumber = 10000000;

#endif
