/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003, 2004    (see file CONTACTS for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __MIPVIDEOSOURCE_DCAM_XB3_HH__
#define __MIPVIDEOSOURCE_DCAM_XB3_HH__

#include <VideoSource/VideoSource_Base.hh>
#include <VideoSource/VideoSource_DCAM.hh>

namespace BIAS {


  class BIASVideoSource_EXPORT VideoSource_DCAM_XB3 : public VideoSource_DCAM{


  public: 
    VideoSource_DCAM_XB3(int Card = 0);
    //~VideoSource_DCAM_XB3();

    int GrabSingle(BIAS::Camera <unsigned char> &allImages,
                   BIAS::Camera <unsigned char> &imageLeft,
                   BIAS::Camera <unsigned char> &imageMiddle,
                   BIAS::Camera <unsigned char> &imageRight
                   );

  };


} // namespace BIAS

#endif // __MIPVIDEOSOURCE_DCAM_XB3_HH__
